Debian Bug report logs - #483459
complains about junk in aptitude-defaults.pl

version graph

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: Michal Politowski <mpol@charybda.icm.edu.pl>

Date: Wed, 28 May 2008 20:45:27 UTC

Severity: normal

Merged with 485628

Found in versions aptitude/0.4.11.3-1, aptitude/0.4.11.4-1

Fixed in version aptitude/0.4.11.9-1

Done: Daniel Burrows <dburrows@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#483459; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Michal Politowski <mpol@charybda.icm.edu.pl>:
New Bug report received and forwarded. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michal Politowski <mpol@charybda.icm.edu.pl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: complains about junk in aptitude-defaults.pl
Date: Wed, 28 May 2008 22:37:23 +0200
Package: aptitude
Version: 0.4.11.3-1
Severity: normal

When started in the pl_PL locale, aptitude complains that there is a syntax
error in /usr/share/aptitude/aptitude-defaults.pl, line 49.
Looking at libapt-pkg4.6.mo to translate the message back to English, 
it is the "Extra junk after value" syntax error.

-- Package-specific info:
aptitude 0.4.11.3 skompilowany May 27 2008 04:52:17
Kompilator: g++ 4.2.4 (Debian 4.2.4-1)
Skompilowane wzgl�m:
  wersja apt 4.6.0
  wersja NCurses 5.6
  wersja libsigc++: 2.0.18
  Obs�uga ept w��czona.

Bie��ce wersje bibliotek:
  wersja NCurses: ncurses 5.6.20080503
  wersja cwidget: 0.5.11
  wersja Apt: 4.6.0
	linux-gate.so.1 =>  (0xb7fe0000)
	libapt-pkg-libc6.7-6.so.4.6 => /usr/lib/libapt-pkg-libc6.7-6.so.4.6 (0xb7ef2000)
	libncursesw.so.5 => /lib/libncursesw.so.5 (0xb7eb6000)
	libsigc-2.0.so.0 => /usr/lib/libsigc-2.0.so.0 (0xb7eb0000)
	libcwidget.so.3 => /usr/lib/libcwidget.so.3 (0xb7dc0000)
	libept.so.0 => /usr/lib/libept.so.0 (0xb7d48000)
	libxapian.so.15 => /usr/lib/libxapian.so.15 (0xb7bd5000)
	libz.so.1 => /usr/lib/libz.so.1 (0xb7bbf000)
	libpthread.so.0 => /lib/i686/cmov/libpthread.so.0 (0xb7ba7000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb7aba000)
	libm.so.6 => /lib/i686/cmov/libm.so.6 (0xb7a95000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb7a88000)
	libc.so.6 => /lib/i686/cmov/libc.so.6 (0xb793a000)
	libutil.so.1 => /lib/i686/cmov/libutil.so.1 (0xb7935000)
	libdl.so.2 => /lib/i686/cmov/libdl.so.2 (0xb7931000)
	/lib/ld-linux.so.2 (0xb7fe1000)
Terminal: xterm
$DISPLAY is set.
`which aptitude`: /usr/bin/aptitude
aptitude version information:

aptitude linkage:

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'experimental'), (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.25-2-686 (SMP w/1 CPU core)
Locale: LANG=pl_PL, LC_CTYPE=pl_PL (charmap=ISO-8859-2)
Shell: /bin/sh linked to /bin/dash

Versions of packages aptitude depends on:
ii  apt [libapt-pkg-libc6. 0.7.12            Advanced front-end for dpkg
ii  libc6                  2.7-11            GNU C Library: Shared libraries
ii  libcwidget3            0.5.11-1          high-level terminal interface libr
ii  libept0                0.5.17            High-level library for managing De
ii  libgcc1                1:4.3.0-5         GCC support library
ii  libncursesw5           5.6+20080503-1    Shared libraries for terminal hand
ii  libsigc++-2.0-0c2a     2.0.18-2          type-safe Signal Framework for C++
ii  libstdc++6             4.3.0-5           The GNU Standard C++ Library v3
ii  libxapian15            1.0.5-1           Search engine library
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

Versions of packages aptitude recommends:
ii  aptitude-doc-en [aptitude-doc 0.4.11.3-1 English manual for aptitude, a ter
ii  libparse-debianchangelog-perl 1.1.1-2    parse Debian changelogs and output

-- no debconf information

-- 
Michał Politowski
Talking has been known to lead to communication if practiced carelessly.




Merged 483459 485628. Request was from Miroslaw Kwasniak <mirek@zind.ikem.pwr.wroc.pl> to control@bugs.debian.org. (Tue, 10 Jun 2008 14:33:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#483459; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Jarek Kamiński <jarek@vilo.eu.org>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #12 received at 483459@bugs.debian.org (full text, mbox):

From: Jarek Kamiński <jarek@Omega.vilo.eu.org>
To: Debian Bug Tracking System <483459@bugs.debian.org>
Subject: aptitude: quick workaround for #483459
Date: Sat, 19 Jul 2008 17:47:47 +0200
[Message part 1 (text/plain, inline)]
Package: aptitude
Version: 0.4.11.4-1
Followup-For: Bug #483459

The reported problem is caused the following two lines from
aptitude-default.pl:
#v+
    non-free    "Programy nie będące wolnym oprogramowaniem\n Pakiety w sekcji \"non-free\" nie
należą do systemu Debian.\n .\n Te pakiety nie spełniają jakichś wymagań \"Wytycznych Debiana
dotyczących wolnego oprogramowania\" (patrz niżej). Aby mieć pewność, że wolno używać programów z
tej sekcji w zamierzony sposób, należy zapoznać się z ich licencjami.\n .\n Aby uzyskać więcej
informacji o tym co Debian uważa za wolne oprogramowanie, należy przeczytać http://www.debian.org/
social_contract#guidelines";
    non-US      "Programy przechowywane poza USA z powodu ograniczeń eksportowych\n Pakiety w
sekcji \"non-US\" zwykle zawierają procedury kryptograficzne i z tego powodu nie mogą być
eksportowane z USA. Niektóre zaś implementują opatentowane algorytmy. Z tych powodów przechowywane
są one na serwerze w \"wolnym świecie\".\n .\n Uwaga: Debian, po zasięgnięciu opinii prawnej na
temat niedawnych zmian w przepisach eksportowych, przenosi obecnie oprogramowanie kryptograficzne
do głównego archiwum. Większość pakietów znajdujących się kiedyś w tej sekcji jest więc teraz
dostępnych w sekcji \"main\".";
#v-

or specifically by spaces between two `\"' sequences:
* \"Wytycznych Debiana dotyczących wolnego oprogramowania\"
* \"wolnym świecie\"

Removing spaces or `\"' works around this bug, I hope this information
will simplify fixing the parser.

Are there any chances to get it fixed before Lenny? This bug can make
very bad first impression on all polish aptitude users. If not, it may
be good idea to ask on debian-l10-polish for alternative version of
aptitude-default.pl.

Cheers, Jarek.


-- Package-specific info:
aptitude 0.4.11.4 skompilowany Jun  8 2008 00:56:54
Kompilator: g++ 4.3.1 20080523 (prerelease)
Skompilowane względem:
  wersja apt 4.6.0
  wersja NCurses 5.6
  wersja libsigc++: 2.0.18
  Obsługa ept włączona.

Bieżące wersje bibliotek:
  wersja NCurses: ncurses 5.6.20080308
  wersja cwidget: 0.5.12
  wersja Apt: 4.6.0
	linux-gate.so.1 =>  (0xffffe000)
	libapt-pkg-libc6.7-6.so.4.6 => /usr/lib/libapt-pkg-libc6.7-6.so.4.6 (0xb7e1c000)
	libncursesw.so.5 => /lib/libncursesw.so.5 (0xb7de0000)
	libsigc-2.0.so.0 => /usr/lib/libsigc-2.0.so.0 (0xb7dda000)
	libcwidget.so.3 => /usr/lib/libcwidget.so.3 (0xb7d16000)
	libept.so.0 => /usr/lib/libept.so.0 (0xb7c9e000)
	libxapian.so.15 => /usr/lib/libxapian.so.15 (0xb7b2b000)
	libz.so.1 => /usr/lib/libz.so.1 (0xb7b15000)
	libpthread.so.0 => /lib/i686/cmov/libpthread.so.0 (0xb7afd000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb7a10000)
	libm.so.6 => /lib/i686/cmov/libm.so.6 (0xb79eb000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb79de000)
	libc.so.6 => /lib/i686/cmov/libc.so.6 (0xb7890000)
	libutil.so.1 => /lib/i686/cmov/libutil.so.1 (0xb788b000)
	libdl.so.2 => /lib/i686/cmov/libdl.so.2 (0xb7887000)
	/lib/ld-linux.so.2 (0xb7ef3000)
Terminal: screen.linux
$DISPLAY not set.
`which aptitude`: /usr/bin/aptitude
aptitude version information:

aptitude linkage:

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.16-ck11 (PREEMPT)
Locale: LANG=pl_PL, LC_CTYPE=pl_PL (charmap=ISO-8859-2) (ignored: LC_ALL set to pl_PL)
Shell: /bin/sh linked to /bin/bash

Versions of packages aptitude depends on:
ii  apt [libapt-pkg-libc6. 0.7.14+b1         Advanced front-end for dpkg
ii  libc6                  2.7-10            GNU C Library: Shared libraries
ii  libcwidget3            0.5.12-1          high-level terminal interface libr
ii  libept0                0.5.17            High-level library for managing De
ii  libgcc1                1:4.3.1-2         GCC support library
ii  libncursesw5           5.6+20080308-1    Shared libraries for terminal hand
ii  libsigc++-2.0-0c2a     2.0.18-2          type-safe Signal Framework for C++
ii  libstdc++6             4.3.1-2           The GNU Standard C++ Library v3
ii  libxapian15            1.0.5-1           Search engine library
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

Versions of packages aptitude recommends:
pn  aptitude-doc-en | aptitude-do <none>     (no description available)
ii  libparse-debianchangelog-perl 1.1.1-2    parse Debian changelogs and output

-- no debconf information

-- 
    Linux jest darmowy, jeśli twój czas nie przedstawia żadnej wartości.
    Jeśli jest coś warty(czas), Linux jest po prostu tańszy od innych.
	Jarek Kamiński
	gg# 453620
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#483459; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #17 received at 483459@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Jarek Kamiński <jarek@vilo.eu.org>, 483459@bugs.debian.org
Subject: Re: Bug#483459: aptitude: quick workaround for #483459
Date: Sat, 19 Jul 2008 14:13:55 -0700
On Sat, Jul 19, 2008 at 05:47:47PM +0200, Jarek Kamiński <jarek@Omega.vilo.eu.org> was heard to say:
> Removing spaces or `\"' works around this bug, I hope this information
> will simplify fixing the parser.

  I had been ignoring this bug because I thought it was a translation
error and I don't speak Polish.  But indeed, the Polish translator wrote
a broken version of the defaults file and it was committed in revision
52d997d3d77e.  I can fix that without speaking Polish, but...

> Are there any chances to get it fixed before Lenny? This bug can make
> very bad first impression on all polish aptitude users. If not, it may
> be good idea to ask on debian-l10-polish for alternative version of
> aptitude-default.pl.

  Unlikely.  aptitude doesn't appear to be frozen yet but it'll happen
soon, I can't get any new versions into testing until #487408 is fixed,
and no-one seems to have any idea what's going on with that one.

  Daniel




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#483459; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #22 received at 483459@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Jarek Kamiński <jarek@vilo.eu.org>, 483459@bugs.debian.org
Subject: Re: Bug#483459: aptitude: quick workaround for #483459
Date: Sat, 19 Jul 2008 14:18:57 -0700
[Message part 1 (text/plain, inline)]
On Sat, Jul 19, 2008 at 02:13:55PM -0700, Daniel Burrows <dburrows@debian.org> was heard to say:
> On Sat, Jul 19, 2008 at 05:47:47PM +0200, Jarek Kamiński <jarek@Omega.vilo.eu.org> was heard to say:
> > Removing spaces or `\"' works around this bug, I hope this information
> > will simplify fixing the parser.
> 
>   I had been ignoring this bug because I thought it was a translation
> error and I don't speak Polish.

  Note: I don't claim this was a *good* reason...

  I may also have confused this with #473559 and friends, actually.

  Anyway, the attached file should work.

  Daniel
[aptitude-defaults.pl (text/x-perl, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#483459; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Jarek Kamiński <jarek@vilo.eu.org>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #27 received at 483459@bugs.debian.org (full text, mbox):

From: Jarek Kamiński <jarek@vilo.eu.org>
To: Daniel Burrows <dburrows@debian.org>
Cc: 483459@bugs.debian.org, Michal Politowski <mpol@charybda.icm.edu.pl>, Miroslaw Kwasniak <mirek@zind.ikem.pwr.wroc.pl>
Subject: Re: Bug#483459: aptitude: quick workaround for #483459
Date: Sun, 20 Jul 2008 18:16:20 +0200
[Message part 1 (text/plain, inline)]
On Sat, Jul 19, 2008 at 02:13:55PM -0700, Daniel Burrows wrote:
> On Sat, Jul 19, 2008 at 05:47:47PM +0200, Jarek Kamiński <jarek@Omega.vilo.eu.org> was heard to say:
>> Removing spaces or `\"' works around this bug, I hope this information
>> will simplify fixing the parser.

>   I had been ignoring this bug because I thought it was a translation
> error and I don't speak Polish.  But indeed, the Polish translator wrote
> a broken version of the defaults file and it was committed in revision
> 52d997d3d77e.  I can fix that without speaking Polish, but...

Actually it looks like the same (or very similar) strings were used in
Etch aptitude.

>> Are there any chances to get it fixed before Lenny? This bug can make
>> very bad first impression on all polish aptitude users. If not, it may
>> be good idea to ask on debian-l10-polish for alternative version of
>> aptitude-default.pl.

>   Unlikely.  aptitude doesn't appear to be frozen yet but it'll happen
> soon, I can't get any new versions into testing until #487408 is fixed,
> and no-one seems to have any idea what's going on with that one.

After asking on #debian-release:
17:35 < dato> well, I think enrico was working on libept/arm

If the fix doesn't manage to migrate to testing maybe it'd be possible
to push it via testing-proposed-updates... it's quite trivial patch and
quite serious for Polish users... But of course it's not RC, so I'm not
sure, whether it'll be accepted.


On Sat, Jul 19, 2008 at 02:18:57PM -0700, Daniel Burrows wrote:
>>   I had been ignoring this bug because I thought it was a translation
>> error and I don't speak Polish.  But indeed, the Polish translator wrote
>> a broken version of the defaults file and it was committed in revision
>> 52d997d3d77e.  I can fix that without speaking Polish, but...

>   Note: I don't claim this was a *good* reason...

OK, actually I wouldn't expect from You to fix translators errors,
especially if You can't speak Polish ;-)

>   Anyway, the attached file should work.

Could you upload my version? It has strings with Polish quotes
(,,blah''). Gzipped to not mess with text encoding.

>   Daniel

Jarek.
[aptitude-defaults.pl.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#483459; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #32 received at 483459@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Jarek Kamiński <jarek@vilo.eu.org>, 483459@bugs.debian.org
Subject: Re: Bug#483459: aptitude: quick workaround for #483459
Date: Sun, 20 Jul 2008 12:13:37 -0700
On Sun, Jul 20, 2008 at 06:16:20PM +0200, Jarek Kamiński <jarek@vilo.eu.org> was heard to say:
> On Sat, Jul 19, 2008 at 02:13:55PM -0700, Daniel Burrows wrote:
> > On Sat, Jul 19, 2008 at 05:47:47PM +0200, Jarek Kamiński <jarek@Omega.vilo.eu.org> was heard to say:
> >> Removing spaces or `\"' works around this bug, I hope this information
> >> will simplify fixing the parser.
> 
> >   I had been ignoring this bug because I thought it was a translation
> > error and I don't speak Polish.  But indeed, the Polish translator wrote
> > a broken version of the defaults file and it was committed in revision
> > 52d997d3d77e.  I can fix that without speaking Polish, but...
> 
> Actually it looks like the same (or very similar) strings were used in
> Etch aptitude.

  Yes, but in that release they weren't included in an apt-format config
file.  When I converted the old pofiles to external config files I
converted double-quotes to pairs of apostrophes, but I guess the
translator thought it was a mistake and reverted this change.

> >   Anyway, the attached file should work.
> 
> Could you upload my version? It has strings with Polish quotes
> (,,blah''). Gzipped to not mess with text encoding.

  Hm, so Polish uses different leading quotes?  Only the upper
double-quotes need special escaping because they have a special meaning
in the apt syntax -- you can write the lower double-quotes in literally.
If you don't see what I mean, copy the file I posted into
/usr/share/aptitude and see how the section descriptions look from
inside the program.

  Daniel




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#483459; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Jens Seidel <jensseidel@users.sf.net>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #37 received at 483459@bugs.debian.org (full text, mbox):

From: Jens Seidel <jensseidel@users.sf.net>
To: Daniel Burrows <dburrows@debian.org>, 483459@bugs.debian.org
Subject: Re: Bug#483459: aptitude: quick workaround for #483459
Date: Mon, 21 Jul 2008 10:31:08 +0200
On Sun, Jul 20, 2008 at 12:13:37PM -0700, Daniel Burrows wrote:
> On Sun, Jul 20, 2008 at 06:16:20PM +0200, Jarek Kamiński <jarek@vilo.eu.org> was heard to say:
> > On Sat, Jul 19, 2008 at 02:13:55PM -0700, Daniel Burrows wrote:
> > > On Sat, Jul 19, 2008 at 05:47:47PM +0200, Jarek Kamiński <jarek@Omega.vilo.eu.org> was heard to say:
> > >   Anyway, the attached file should work.
> > 
> > Could you upload my version? It has strings with Polish quotes
> > (,,blah''). Gzipped to not mess with text encoding.
> 
>   Hm, so Polish uses different leading quotes?  Only the upper

Every language uses different quotes! You cannot consider ''...'' to be
proper quotes, right? Look into books (even English ones), you will not
find ''...'' there. Common quotes are e.g. »...« or «...» but UTF-8
contains also quotes which look like ,,...'' (same for ''..'').

The ASCII stuff looks ugly and no typographic rule would suggest these.

> double-quotes need special escaping because they have a special meaning

" was escaped to \" in the Polish file. If this is not right, please
document how to escape it.

> in the apt syntax -- you can write the lower double-quotes in literally.
> If you don't see what I mean, copy the file I posted into
> /usr/share/aptitude and see how the section descriptions look from
> inside the program.

Jens




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#483459; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Jens Seidel <jensseidel@users.sf.net>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #42 received at 483459@bugs.debian.org (full text, mbox):

From: Jens Seidel <jensseidel@users.sf.net>
To: Jens Seidel <jensseidel@users.sf.net>, 483459@bugs.debian.org
Subject: Re: Bug#483459: aptitude: quick workaround for #483459
Date: Mon, 21 Jul 2008 11:17:10 +0200
On Mon, Jul 21, 2008 at 10:31:08AM +0200, Jens Seidel wrote:
> On Sun, Jul 20, 2008 at 12:13:37PM -0700, Daniel Burrows wrote:
> > On Sun, Jul 20, 2008 at 06:16:20PM +0200, Jarek Kamiński <jarek@vilo.eu.org> was heard to say:
> > > On Sat, Jul 19, 2008 at 02:13:55PM -0700, Daniel Burrows wrote:
> > > > On Sat, Jul 19, 2008 at 05:47:47PM +0200, Jarek Kamiński <jarek@Omega.vilo.eu.org> was heard to say:
> > > >   Anyway, the attached file should work.
> > > 
> > > Could you upload my version? It has strings with Polish quotes
> > > (,,blah''). Gzipped to not mess with text encoding.
> > 
> >   Hm, so Polish uses different leading quotes?  Only the upper
> 
> Every language uses different quotes! You cannot consider ''...'' to be
> proper quotes, right? Look into books (even English ones), you will not
> find ''...'' there. Common quotes are e.g. »...« or «...» but UTF-8
> contains also quotes which look like ,,...'' (same for ''..'').
> 
> The ASCII stuff looks ugly and no typographic rule would suggest these.

'' will be converted into ". Still not the optimal typographic solution
but less worse.

> > double-quotes need special escaping because they have a special meaning
> 
> " was escaped to \" in the Polish file. If this is not right, please
> document how to escape it.

Ah, I found your comments recently added to aptitude-defaults*. Thanks!

Jens




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#483459; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Jarek Kamiński <jarek@vilo.eu.org>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #47 received at 483459@bugs.debian.org (full text, mbox):

From: Jarek Kamiński <jarek@vilo.eu.org>
To: Daniel Burrows <dburrows@debian.org>
Cc: 483459@bugs.debian.org
Subject: Re: Bug#483459: aptitude: quick workaround for #483459
Date: Mon, 21 Jul 2008 22:13:32 +0200
On Sun, Jul 20, 2008 at 12:13:37PM -0700, Daniel Burrows wrote:
> On Sun, Jul 20, 2008 at 06:16:20PM +0200, Jarek Kamiński <jarek@vilo.eu.org> was heard to say:

>>>   I had been ignoring this bug because I thought it was a translation
>>> error and I don't speak Polish.  But indeed, the Polish translator wrote
>>> a broken version of the defaults file and it was committed in revision
>>> 52d997d3d77e.  I can fix that without speaking Polish, but...

>> Actually it looks like the same (or very similar) strings were used in
>> Etch aptitude.

>   Yes, but in that release they weren't included in an apt-format config
> file.  When I converted the old pofiles to external config files I
> converted double-quotes to pairs of apostrophes, but I guess the
> translator thought it was a mistake and reverted this change.

Thanks for clarification.

>> Could you upload my version? It has strings with Polish quotes
>> (,,blah''). Gzipped to not mess with text encoding.

>   Hm, so Polish uses different leading quotes?

Yes, but they're not so commonly used in computers, because of their
lack in ASCII, ISO-8859-2 (commonly used in Poland) and keyboards.

> Only the upper
> double-quotes need special escaping because they have a special meaning
> in the apt syntax -- you can write the lower double-quotes in literally.

It would be hard to recode them from utf-8 to iso-8859-2. Both ,,abc''
and "abc" forms are common in Debian.

> If you don't see what I mean, copy the file I posted into
> /usr/share/aptitude and see how the section descriptions look from
> inside the program.

Oh, now I see, I didn't know there is some magic involved here. And
I haven't noticed, that in my version of aptitude-defaults.pl trailing
quotes are converted, while leading not, creating funny result.

IMO it's better to use version from your mail, as it reassembles
quoting style chose by original translator.

>   Daniel

Jarek




Reply sent to Daniel Burrows <dburrows@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michal Politowski <mpol@charybda.icm.edu.pl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #52 received at 483459-close@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: 483459-close@bugs.debian.org
Subject: Bug#483459: fixed in aptitude 0.4.11.9-1
Date: Mon, 04 Aug 2008 01:17:04 +0000
Source: aptitude
Source-Version: 0.4.11.9-1

We believe that the bug you reported is fixed in the latest version of
aptitude, which is due to be installed in the Debian FTP archive:

aptitude-dbg_0.4.11.9-1_i386.deb
  to pool/main/a/aptitude/aptitude-dbg_0.4.11.9-1_i386.deb
aptitude-doc-cs_0.4.11.9-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-cs_0.4.11.9-1_all.deb
aptitude-doc-en_0.4.11.9-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-en_0.4.11.9-1_all.deb
aptitude-doc-fi_0.4.11.9-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fi_0.4.11.9-1_all.deb
aptitude-doc-fr_0.4.11.9-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fr_0.4.11.9-1_all.deb
aptitude-doc-ja_0.4.11.9-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-ja_0.4.11.9-1_all.deb
aptitude_0.4.11.9-1.diff.gz
  to pool/main/a/aptitude/aptitude_0.4.11.9-1.diff.gz
aptitude_0.4.11.9-1.dsc
  to pool/main/a/aptitude/aptitude_0.4.11.9-1.dsc
aptitude_0.4.11.9-1_i386.deb
  to pool/main/a/aptitude/aptitude_0.4.11.9-1_i386.deb
aptitude_0.4.11.9.orig.tar.gz
  to pool/main/a/aptitude/aptitude_0.4.11.9.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 483459@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Burrows <dburrows@debian.org> (supplier of updated aptitude package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 03 Aug 2008 15:15:40 -0700
Source: aptitude
Binary: aptitude aptitude-dbg aptitude-doc-cs aptitude-doc-en aptitude-doc-fi aptitude-doc-fr aptitude-doc-ja
Architecture: source all i386
Version: 0.4.11.9-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Burrows <dburrows@debian.org>
Changed-By: Daniel Burrows <dburrows@debian.org>
Description: 
 aptitude   - terminal-based package manager
 aptitude-dbg - Debug symbols for the aptitude package manager
 aptitude-doc-cs - Czech manual for aptitude, a terminal-based package manager
 aptitude-doc-en - English manual for aptitude, a terminal-based package manager
 aptitude-doc-fi - Finnish manual for aptitude, a terminal-based package manager
 aptitude-doc-fr - French manual for aptitude, a terminal-based package manager
 aptitude-doc-ja - Japanese manual for aptitude, a terminal-based package manager
Closes: 483459 490650 490782 490818
Changes: 
 aptitude (0.4.11.9-1) unstable; urgency=low
 .
   * New upstream release.
 .
     - Don't annoy every Polish user with warnings about their
       aptitude-defaults file. (Closes: #483459)
 .
     - Correctly handle install-and-mark-auto commands that
       are targeted at a particular version, like "foo/testing+M":
       don't just throw away the version information. (Closes: #490650)
 .
     - Swedish translation updates. (Closes: #490782, #490818)
Checksums-Sha1: 
 242c2d20a501c40839cc92334f59b9c938d6c4e3 1399 aptitude_0.4.11.9-1.dsc
 12261df4d34af80163e0d4e08a3a1da56949d94d 5735521 aptitude_0.4.11.9.orig.tar.gz
 8fbe879f6b0d339b1db0d1d15e090ec37d92059b 35333 aptitude_0.4.11.9-1.diff.gz
 c657d86326e5e6c0f3086117db2d00cf49d60880 345458 aptitude-doc-cs_0.4.11.9-1_all.deb
 6b593de936e5396705060a2f36cc3ffd96afb143 353596 aptitude-doc-en_0.4.11.9-1_all.deb
 107d64bbc1cfd8f27a50e0e19fc615ea9410bcc9 263946 aptitude-doc-fi_0.4.11.9-1_all.deb
 5345d93c6257c4faa59b66e159ceb2181eb18263 298000 aptitude-doc-fr_0.4.11.9-1_all.deb
 b7615f397b740e035df253af30f64d8b83bc5c3a 363786 aptitude-doc-ja_0.4.11.9-1_all.deb
 375e2d1c789ba3cb0e608424a2a6c8cd00161a01 2807856 aptitude_0.4.11.9-1_i386.deb
 03d1eb7276290af9d40de4e5b74c4ff9312023da 5904116 aptitude-dbg_0.4.11.9-1_i386.deb
Checksums-Sha256: 
 a7e9d71d3594bf720f82f28cbe8a888d04f55e7cf6bcd0ef8ea5125b029c91d4 1399 aptitude_0.4.11.9-1.dsc
 0ebb7a8a3a5902ccba7b3d6120305ad99cabfde0468f9a9cb0c43e5dce682ed7 5735521 aptitude_0.4.11.9.orig.tar.gz
 49ccaee2a36d4773fd5558bfbe73eccffa5ec2495632c8a934bf4875f40cb8e8 35333 aptitude_0.4.11.9-1.diff.gz
 544e288e9fcd7a13ea97a4a72da3f53889054956939cda3617c311101261ff1f 345458 aptitude-doc-cs_0.4.11.9-1_all.deb
 66143943cd41adba576b7af1c3e7e4865fda355cb7322f3e780323937b3f4b61 353596 aptitude-doc-en_0.4.11.9-1_all.deb
 1e56ee23e61d1041924e060f0473a464ed25a79c4d7c89bd5241fbc4dee540c1 263946 aptitude-doc-fi_0.4.11.9-1_all.deb
 6ac282303d56ee43a546bc2ad851e33a284953e096ac86694db4f6ccf85f3267 298000 aptitude-doc-fr_0.4.11.9-1_all.deb
 894d399636f2c6acce342d1f305ca6bfa1d3d899568c562dd487ef5290ff5c30 363786 aptitude-doc-ja_0.4.11.9-1_all.deb
 c16c8d607b8d1402b1489cc4e9a029acbdc8f7e193e2ca8540280c9578decc69 2807856 aptitude_0.4.11.9-1_i386.deb
 c951414aa706228d7c584d42edbf55dd91e8124dffb5992f65e9146a371adbae 5904116 aptitude-dbg_0.4.11.9-1_i386.deb
Files: 
 ce0ec0eab68b391ff1182ff8e9afb4c5 1399 admin - aptitude_0.4.11.9-1.dsc
 6aa59a456ef45ed997915c0c76412d8d 5735521 admin - aptitude_0.4.11.9.orig.tar.gz
 176e55c3dfd3531ffb72ff37f76eff31 35333 admin - aptitude_0.4.11.9-1.diff.gz
 0daa287140612685e75b92af2020549d 345458 doc optional aptitude-doc-cs_0.4.11.9-1_all.deb
 7ce3d3b6be9b7fc1908e46cf42b6a671 353596 doc optional aptitude-doc-en_0.4.11.9-1_all.deb
 56796ef1bd56e4bba7c1590f137bbead 263946 doc optional aptitude-doc-fi_0.4.11.9-1_all.deb
 c12dde856205753a6c6c627db72c1d2a 298000 doc optional aptitude-doc-fr_0.4.11.9-1_all.deb
 db16b9c834455caeda97b4e9ff95b273 363786 doc optional aptitude-doc-ja_0.4.11.9-1_all.deb
 6e73cf0b3f33291f1a6bd8d30b1f8d68 2807856 admin important aptitude_0.4.11.9-1_i386.deb
 65b4cae8b32448c16a34841dca091ae5 5904116 devel extra aptitude-dbg_0.4.11.9-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkiWUn8ACgkQch6xsM7kSXi03wCg/GYPjN2EeEgIuRXt5c13MHbW
G+0An0JXtGpMPN+3AeUZAG4fnYary5xP
=iZKu
-----END PGP SIGNATURE-----





Reply sent to Daniel Burrows <dburrows@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Miroslaw Kwasniak <mirek@zind.ikem.pwr.wroc.pl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 14 Oct 2008 07:29:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:28:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.